al_ustr_insert(3)

NAME

al_ustr_insert - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_ustr_insert(ALLEGRO_USTR *us1, int pos, const ALLEGRO_USTR *us2)

DESCRIPTION

Insert us2 into us1 beginning at byte offset pos. pos cannot be less than 0. If pos is past the end of us1 then the space between the end of the string and pos will be padded with NUL ('\0') bytes.

If required, use al_ustr_offset(3) to find the byte offset for a given code point index.

Returns true on success, false on error.

SEE ALSO

al_ustr_insert_cstr(3), al_ustr_insert_chr(3), al_ustr_append(3), al_ustr_offset(3)